jm.midi.event

## Class PWheel

- java.lang.Object
- - jm.midi.event.PWheel

- All Implemented Interfaces:
    java.lang.Cloneable, Event, VoiceEvt

      public final class PWheel
      extends java.lang.Object
      implements VoiceEvt, java.lang.Cloneable

  Description: The PWheel event is one of a set of events whose parent class is VoiceEvt. In total these classes cover all voice event types found in most MIDI file formats. These classes will usually be added to a linked list as type VoiceEvt. (see class VoiceEvt for more information)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PWheel()` Public constructor for creating a default (empty) pitch wheel event
    `PWheel(int value, short midiChannel, int time)` Public constructor for creating a pitch wheel event with pitch wheel value midi channel and time

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `copy()` Makes a copy of an event
    `short` | `getID()` Retrieve an events id
    `short` | `getMidiChannel()` Return pitch wheel events MIDI channel
    `int` | `getTime()` Return pitch wheel events time
    `int` | `getValue()` Return pitch wheel events pitch wheel value
    `void` | `print()` Print this events data in a System.out.println format
    `int` | `read(java.io.DataInputStream dis)` read in event data from disk
    `void` | `setMidiChannel(short midiChannel)` Set pitch wheel events MIDI channel
    `void` | `setTime(int time)` Set pitch wheel events time
    `void` | `setValue(int value)` Set pitch wheel events pitch wheel value
    `int` | `write(java.io.DataOutputStream dos)` write out event data to disk

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PWheel

          public PWheel()

      Public constructor for creating a default (empty) pitch wheel event

    - #### PWheel

          public PWheel(int value,
                short midiChannel,
                int time)

      Public constructor for creating a pitch wheel event with pitch wheel value midi channel and time

  - ### Method Detail

    - #### getValue

          public int getValue()

      Return pitch wheel events pitch wheel value

    - #### setValue

          public void setValue(int value)

      Set pitch wheel events pitch wheel value

    - #### getMidiChannel

          public short getMidiChannel()

      Return pitch wheel events MIDI channel
      Specified by:
        `getMidiChannel` in interface `VoiceEvt`

    - #### setMidiChannel

          public void setMidiChannel(short midiChannel)

      Set pitch wheel events MIDI channel
      Specified by:
        `setMidiChannel` in interface `VoiceEvt`

    - #### getTime

          public int getTime()

      Return pitch wheel events time
      Specified by:
        `getTime` in interface `Event`

    - #### setTime

          public void setTime(int time)

      Set pitch wheel events time
      Specified by:
        `setTime` in interface `Event`

    - #### getID

          public short getID()

      Description copied from interface: `Event`
      Retrieve an events id
      Specified by:
        `getID` in interface `Event`

    - #### write

          public int write(java.io.DataOutputStream dos)
                    throws java.io.IOException

      Description copied from interface: `Event`
      write out event data to disk
      Specified by:
        `write` in interface `Event`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(java.io.DataInputStream dis)
                   throws java.io.IOException

      Description copied from interface: `Event`
      read in event data from disk
      Specified by:
        `read` in interface `Event`
      Throws:
        `java.io.IOException`

    - #### copy

          public Event copy()
                     throws java.lang.CloneNotSupportedException

      Description copied from interface: `Event`
      Makes a copy of an event
      Specified by:
        `copy` in interface `Event`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### print

          public void print()

      Description copied from interface: `Event`
      Print this events data in a System.out.println format
      Specified by:
        `print` in interface `Event`